samRes_DAC (within audiohw.xc) always 32

Technical discussions around xCORE processors (e.g. General Purpose (L/G), xCORE-USB, xCORE-Analog, xCORE-XA).
DHembree
Experienced Member
Posts: 74
Joined: Fri Apr 15, 2016 6:46 pm

Re: samRes_DAC (within audiohw.xc) always 32

Postby DHembree » Tue Sep 25, 2018 7:44 pm

In the Console:

[img]
Capture.JPG
[/img]
Attachments
Capture.JPG
(72.83 KiB) Not downloaded yet
Capture.JPG
(72.83 KiB) Not downloaded yet
User avatar
mon2
XCore Legend
Posts: 1282
Joined: Thu Jun 10, 2010 11:43 am
Contact:

Postby mon2 » Tue Sep 25, 2018 7:57 pm

Definitely do not see this error on my side.

Can you attempt the same project but this time, download and extract inside your Downloads folder?

My working code is at the following:

Code: Select all

C:\Users\lab\Downloads\AN00196_-Getting-Started-with-Real-Time-xSCOPE-in-xTIMEcomposer-Studio-[sw]_1.0.1rc1(1)\AN00196_Getting_started_with_real_time_xSCOPE_in_xTIMEcomposer_Studio


but the take away is that this project is not off the root folder (C:\). Curious on your results if you attempt the same in your local Downloads folder. It may be a path issue.
DHembree
Experienced Member
Posts: 74
Joined: Fri Apr 15, 2016 6:46 pm

Postby DHembree » Tue Sep 25, 2018 8:09 pm

Set up a new workspace within my downloads folder. Still the same error.

2 different versions of Xtime
2 different computers
2 different workspace locations.
Tried defeating my virus protection sw
Tried lots of different run config settings

Nothing.
User avatar
mon2
XCore Legend
Posts: 1282
Joined: Thu Jun 10, 2010 11:43 am
Contact:

Postby mon2 » Tue Sep 25, 2018 9:02 pm

Should have asked sooner but what is your Java version of your machines?

I am on jre1.8.0_161 according to:

Help -> About ->Installation Details -> Configuration tab

Do you recall the old(er) film, The Exorcist? :)
User avatar
mon2
XCore Legend
Posts: 1282
Joined: Thu Jun 10, 2010 11:43 am
Contact:

Postby mon2 » Tue Sep 25, 2018 9:56 pm

Very strange that you are facing these issues. If you are out of ideas, install Team Viewer and send a PM with the details for a quick review.
DHembree
Experienced Member
Posts: 74
Joined: Fri Apr 15, 2016 6:46 pm

Postby DHembree » Tue Sep 25, 2018 11:32 pm

That would explain why my monitor spun all the way around!

Updated Java to jre1 8_18. Still the same error. I'll look into the Team Viewer for tomorrow.
DHembree
Experienced Member
Posts: 74
Joined: Fri Apr 15, 2016 6:46 pm

Postby DHembree » Fri Sep 28, 2018 8:18 pm

I'm abandoning this rabbit trail and looking now at AN00239 Using the Logging Library.

Initially, lib_logging was missing from my workspace so I copied from another workspace and got the following error:

ERROR: Required version of lib_logging is >=2.1.0 and actual version is 2.0.1

Where can I get an updated version of it?
User avatar
mon2
XCore Legend
Posts: 1282
Joined: Thu Jun 10, 2010 11:43 am
Contact:

Postby mon2 » Sat Sep 29, 2018 3:38 am

an00239_compiled.png
(151.48 KiB) Not downloaded yet
an00239_compiled.png
(151.48 KiB) Not downloaded yet
Dan, try the following:

1) start with a fresh workspace

2) select the EXAMPLES icon on the left side of the screen

3) Enter AN00239 in the search bar

4) Double-click the only AN00239 that should be listed from this search

5) Select FINISH

6) Project -> Build All -> select FINISH when prompted to upgrade the dependent libraries. This should successfully compile for you.

Who is online

Users browsing this forum: No registered users and 23 guests